@charset "utf-8";
/*
  CSS のみのメガドロップダウン＆ハンバーガーメニュー Ver.2*/

/* サイトカラー 色の指定がある場合は記載 
:root {
  --navhover-color: rgba(105, 58, 120, 1.00);
  --navhover-color-g: linear-gradient(153deg, rgba(105, 58, 120, 1) 0%, rgba(132, 71, 152, 1) 56%, rgba(237, 55, 55, 1) 100%, rgba(0, 0, 0, 1) 100%);
}
*/


/* ハンバーガーメニュー内のmypageボタン（SP専用） */


/* チェックボックスを非表示 */
#navi input {
  display: none;
}

/* グローバルメニュー */
#menu {
  width: 100%;
  color: #ffffff;
  z-index: 999;
  background: var(--primary-color);

  a{
    color:#ffffff;
  }

  .nolink a {
    pointer-events: none;
    /*opacity: 0.5;*/
    cursor: none;
    color: #8f8f8f !important;
  }
}

#menu .menu_inner {
  margin: 0 auto;
  padding: 0;
  width: clamp(320px, 90%, 1080px);
}

#menu ul>li a:hover {
  color: #ffffff;
}


/* パソコンでは V を非表示 */
#menu>li .pd {
  display: none;
}

#menu-navibtn {
  display: none;
  cursor: pointer;
  cursor: hand;
}

/* ドロップダウンメニュー */
#menu ul>li>ul {
  display: none;
}

#menu ul>li div.pullDownMenu {
  display: none;
}


/*------------------------------------------------------------
 パソコン用 レイアウト
-------------------------------------------------------------*/

@media screen and (min-width: 768px) {
  #menu ul {
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;
    gap: 0.5% 1px;
    height: 50px;
    position: relative;


  }

  #menu ul li {
    flex: 1 1 auto;
        display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }



  #menu ul li a {
    position: static;

    width: 100%;
    text-decoration: none;
  }
   #menu ul li a:before {
    content: '\f078';
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    width: 0.8em;
    margin-right: 0.3em;
}

  #menu ul>li {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    line-height: 1.3em;
    position: relative;
  }



  #menu label {
    height: 0;
    min-height: 0;
  }

  #menu label span {
    min-height: 0;
  }

  #menu ul>li:hover {
    background-color: var( --sab-blule-color);
    cursor: pointer;
    cursor: hand;

    /*position: relative;*/
    a {
      color: #fff;
    }
  }

  #menu ul>li.nolink:hover {
    background-color: inherit;
    cursor: inherit;
    cursor: inherit;
  }

  /* hover時の下の階層 */
  #menu ul>li:hover div.pullDownMenu,
  #menu ul>li a:hover div.pullDownMenu {
    display: block;
    width: calc(100% + 100px);
    position: absolute;
    left: 0;
    top: 50px;
    background: var(--navhover-color-g);
    color: #ffffff !important;
    padding: 20px 0;
    box-shadow: 0px 10px 10px -5px rgba(0, 0, 0, 0.3);
    overflow: visible !important;
    z-index: 99;
  }

  #menu ul>li>.pullDownMenu ul {
    /* margin-left: inherit; */
    /*max-width: 1440px;
    width: 150%;*/
    left: 0;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 5% 2%;
    height: auto;
    justify-content: flex-start;
    overflow: visible;
    flex-wrap: wrap;
    padding: 0 15px;
    color: #ffffff;

    li {
      width: auto;
      border-bottom: 1px solid #ffffff;
      font-size: 1rem;
    }

    li:first-child {
      border-top: 1px solid #ffffff;
    }

    li a {
      line-height: 1.2rem;
      padding: 12px 5px;
      height: auto;
      font-size: 1rem;
      align-items: first baseline;
      text-align: left;
      color: #ffffff;
    }

    li a:hover {
      color: rgba(249, 231, 255, 1.00);
    }
  }
}
}

/* タブレット用 */
@media screen and (max-width: 960px) {
  #menu ul>li {
    font-size: 0.875rem;
    /*padding: 0 15px;*/
  }
}

/*------------------------------------------------------------
 スマホ用  ハンバーガーメニュー
-------------------------------------------------------------*/
@media screen and (max-width: 767px) {

  /* ロゴの調整 */
  .header_menu {
    margin: 0;
    background-color: rgba(255, 255, 255, 1);
    transition: max-height 0.5s ease;

    .menu__logo {
      width: calc(100% - 70px);
      margin-left: 10px;
    }

    .top_menu {
      margin-top: 10px;
      width: 100%;
    }
  }

  #menu .menu_inner {
    width: 95%;
    margin: 0 auto;
    padding: 0;
    display: block;
  }

  .header_menu {
    height: auto;
    gap: 5% 10px;
    flex-wrap: wrap;
  }

  .menu__days {
    display: none;
  }

  .top_menu ul {
    margin: 0 auto;
    padding: 0;
    justify-content: center;
  }

  /*.top_menu  ul li:last-child {
         width: 50px;
         }*/

  /* スマホの時だけ固定 */
  #navi {
    position: fixed;
    top: 0;
    right: 0;
    height: 70px;
    /*width: 20%;*/
    z-index: 999;
    transition: none;
    width: 100%;
  }

  /* 基本非表示 */
  #menu {
    display: none;
  }

  #menu ul {
    display: block;
  }

  #menu ul>li a {
    display: inline-block;
  }

  #menu ul>li {
    position: relative;
    padding-left: 10px;
    white-space: nowrap;
    font-size: 1rem;
    height: auto;
    line-height: 50px;
  }

  /* V を表示 */
  #menu ul>li .pd {
    display: flex;
    position: absolute;
    right: 0;
    top: 0;
  }

  #menu li a {
    display: block;
  }

  #menu li i {
    font-size: 20px;
    width: 50px;
    height: 50px;
    padding: 17px 5px 0 5px !important;
    text-align: center;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 2;
    background: rgba(255, 255, 255, 0.1);
    border: none !important;
    border-left: 1px solid rgba(255, 255, 255, 0.4) !important;

  }

  /* メニューを移動させないため */
  #menu-navibtn:checked~#navi {
    position: fixed;
    overscroll-behavior: contain;
    overflow-x: hidden;
    height: 100vh;
    width: 100%;
    background-color: var(--primary-color);
  }

  @keyframes slideDown {
    from {
      max-height: 0;
      opacity: 0;
    }

    to {
      max-height: 100vh;
      opacity: 1;
    }
  }

  @keyframes slideUp {
    from {
      max-height: 500px;
      opacity: 1;
    }

    to {
      max-height: 0;
      opacity: 0.8;
    }
  }

  #menu-navibtn:checked~#navi {
    animation: slideDown 0.5s ease forwards;
    /* 開くときのアニメーション */
  }

  #menu ul>li div.pullDownMenu {
    overflow: visible;

  }

  #menu ul li ul li {
    border-bottom: none;
  }


  /* ハンバーガーメニューがクリックされた時 */
  #menu-navibtn:checked~* #menu {
    display: block;
    position: absolute;
    left: 0;
    top: 60px;
    width: 100%;
    background-color: var(--primary-color);
    /*height: 100%;*/
    /*滑らかスクロール*/
    -webkit-overflow-scrolling: touch;
    overflow-y: scroll;
    overflow-x: hidden;
    padding: 0;
    margin: 0;
  }

  #menu-navibtn:checked~* #menu ul li {
    max-height: inherit;
    overflow-y: visible;

    li a {
      width: 85%;
      height: 35px;
      padding: 15px 2px 0 2px;
      border-top: 0.2px dotted #cecece;
      text-decoration: none;
    }
  }

  #menu>li ul {
    line-height: 50px;
  }

  #menu ul>li {
    border-bottom: 1px solid #ffffff;
  }

  #menu ul>li a {
    color: #ffffff;
    width: 95%;
    /*padding: 0.5em 1%;*/
    visibility: visible;
    text-decoration: none;
  }

  #menu ul>li>ul {
    padding: 0;
  }

  /* アコーディオン部分初期状態 */
  #menu ul li ul li {
    display: none;
  }

  #menu ul>li>label:hover {
    cursor: pointer;
    cursor: hand;
  }

  #menu ul li ul {
    position: static;
    display: inline;
  }

  #menu ul>li div.pullDownMenu {
    position: static;
    display: inline;
  }

  /* 子メニュー */
  #menu ul>li>ul {
    margin-left: initial;
  }

  #menu ul>li>ul li a {
    display: block;
  }

  #menu ul li ul li ul {
    top: inherit;
    left: 0;
  }

  /* 子メニューがクリックされた時 */
  #menu input[type="checkbox"]:checked~label~#menu ul>li,
  #menu input[type="checkbox"]:checked~label~div.pullDownMenu ul li {
    max-height: inherit;
    overflow-y: visible;
    display: block;
  }

  .angletoggle:before {
    content: "+";
    color: #ffffff;
  }

  .angletoggle:hover::before {
    /*color: #ffffff;*/
  }

  #navi input[type="checkbox"]:checked~label .pd .angletoggle:before {
    content: "ー";
    font-size: 20px;
    color: #ffffff;
  }

  #menu ul>li div.pullDownMenu {
    display: block;
    overflow-y: visible;
  }

  #menu ul>li div.pullDownMenu ul li {
    line-height: 1.2rem;
    white-space: wrap;
    padding: 5px 0 5px 10px;
  }

  #menu ul>li div.pullDownMenu ul li:last-child {
    padding-bottom: 0;
    padding-bottom: 10px;
  }
}

/*------------------------------------------------------------
ハンバーガー 
-------------------------------------------------------------*/
#navi #navibtn {
  display: none;
}

@media screen and (max-width: 767px) {
  #navi #navibtn {
    display: block;
    position: absolute;
    top: 15px;
    right: 10px;
  }

  #navi #navibtn:hover {
    cursor: pointer;
    cursor: hand;
  }

  #navibtn span {
    display: block;
    width: 40px;
    height: 40px;
    background-color: var(--primary-color);
  }

  #navibtn span span {
    display: block;
    overflow: hidden;
    width: 1px;
    height: 1px;
  }

  #navibtn span span::before,
  #navibtn span span::after,
  #navibtn span::after {
    position: absolute;
    left: 10px;
    content: "";
    width: 20px;
    height: 3px;
    background-color: #fff;
  }

  /* 上の棒 */
  #navibtn span span::before {
    top: 10px;
  }

   #menu-navibtn:checked~#navi label#navibtn span{
    background-color: rgb(134, 178, 228);
   }

  #menu-navibtn:checked~#navi label#navibtn span span::before {
    top: 19px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
  }

  /* 下の棒 */
  #navibtn span::after {
    bottom: 10px;
  }

  #menu-navibtn:checked~#navi label#navibtn>span::after {
    bottom: 18px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
  }

  /* 中の棒 */
  #navibtn span span::after {
    top: 18px;
  }

  #menu-navibtn:checked~#navi label#navibtn span span::after {
    display: none;
  }
}

/*------------------------------------------------------------
　PC グローバルメニューを上部に固定
-------------------------------------------------------------*/
.is-fixed {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  width: 100%;
}




/*------------------------------------------------------------
トップぺ戻るボタン
-------------------------------------------------------------*/
.page-top {
  position: fixed;
  right: 10px;
  bottom: 10px;
  font-size: 1.2rem;
  line-height: 1.2rem;
  background: var(--main-gradien);
  color: #ffffff !important;
  padding: 10px;
  border-radius: 25px;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.6em;
  /*box-shadow: 0 2px 10px -6px rgba(0,0,0,.5), 0 3px 10px -4px rgba(0,0,0,.2);*/
  z-index: 10000;
}

.page-top a,
.page-top a:visited {
  color: #ffffff !important;
}


